﻿// <auto-generated />
using System;
using BattleGame.Infrastructure.Data.Ef;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace BattleGame.Infrastructure.Data.Ef.Migrations
{
    [DbContext(typeof(BattleGameContext))]
    [Migration("20191021080448_Initial")]
    partial class Initial
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.6-servicing-10079")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("BattleGame.Domain.Model.Army", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AttackStrategy");

                    b.Property<Guid>("GameId");

                    b.Property<string>("Name")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("GameId");

                    b.ToTable("Army");
                });

            modelBuilder.Entity("BattleGame.Domain.Model.Event", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<Guid>("ArmyId");

                    b.Property<int>("EventType");

                    b.Property<TimeSpan>("GameTime");

                    b.Property<string>("Value");

                    b.HasKey("Id");

                    b.HasIndex("ArmyId");

                    b.ToTable("Event");
                });

            modelBuilder.Entity("BattleGame.Domain.Model.Game", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("GameStatus");

                    b.HasKey("Id");

                    b.ToTable("Game");
                });

            modelBuilder.Entity("BattleGame.Domain.Model.Army", b =>
                {
                    b.HasOne("BattleGame.Domain.Model.Game", "Game")
                        .WithMany("Armies")
                        .HasForeignKey("GameId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("BattleGame.Domain.Model.Event", b =>
                {
                    b.HasOne("BattleGame.Domain.Model.Army", "Army")
                        .WithMany("Events")
                        .HasForeignKey("ArmyId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
